package gui;

import java.util.*;
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.event.*;

import gui.*;
import gui.dialogs.*;

class MainToolBar extends JToolBar
{
    SimWinMgr simWinMgr;
    
    JButton bFileExit;
    JButton bHelpAbout;
    
    public MainToolBar (SimWinMgr swMgr)
    {
	simWinMgr = swMgr;
	ToolBarItemListener tbil = new ToolBarItemListener();
	
	bFileExit = new JButton("Exit");
	bHelpAbout = new JButton("About");
	
	bFileExit.addActionListener(tbil);
	bHelpAbout.addActionListener(tbil);
	
	add(bFileExit);
	addSeparator();
	addSeparator();
	add(bHelpAbout);
    }
    
    class ToolBarItemListener implements ActionListener
    {
	public void actionPerformed(ActionEvent e)
	{
	    JButton button = (JButton)e.getSource();

	    /*
		new and close no longer supported   
	    if (button == bFileNew) {
		  FileNewDialog fileNewDialog = new FileNewDialog(simWinMgr);
		  Vector retVec = fileNewDialog.getFileNames(simWinMgr.getSavedOptionsFileNew());
		  if (retVec != null) {
		  Vector cpa = new Vector ();
		  cpa.add (retVec.elementAt (1));
		  
		    simWinMgr.createSimulationWindow ((String) retVec.elementAt (0), cpa,
						      (String) retVec.elementAt (2), (String) retVec.elementAt (3),
						      (String) retVec.elementAt (4));
		    simWinMgr.setSavedOptionsFileNew (retVec);   
	    } else if (button == bFileClose) {
		simWinMgr.closeCurrentSimulationWindow ();
	    } else 
		*/

	    if (button == bFileExit) {
		if (simWinMgr.exit())
		    System.exit(0);
	    }
	}
    }
}
