package util;

import javax.vecmath.*;

public class Position
{
	private double x = 0.0;
	private double y = 0.0;
	private double z = 0.0;

	public Position(Position p)
	{
		if( p != null )
		{
			x = p.getX();
			y = p.getY();
			z = p.getZ();
		}
	}
	public Position(double p_x, double p_y, double p_z) { x = p_x; y = p_y; z = p_z; }

	public double getX() { return x; }
	public double getY() { return y; }
	public double getZ() { return z; }
	public Vector3d getVector3dObject() {  return new Vector3d(x,y,z); }

	public void setX(double p_x) { x = p_x; }
	public void setY(double p_y) { y = p_y; }
	public void setZ(double p_z) { z = p_z; }

	public String toString() { return "(" + x + ", " + y + ", " + z + ")"; }
}
